summaryrefslogtreecommitdiffstats
path: root/lib
diff options
context:
space:
mode:
Diffstat (limited to 'lib')
-rw-r--r--lib/locale.sh2
1 files changed, 2 insertions, 0 deletions
diff --git a/lib/locale.sh b/lib/locale.sh
index 8c4e46d..ee37a15 100644
--- a/lib/locale.sh
+++ b/lib/locale.sh
@@ -150,6 +150,8 @@ _ob_load_internal_text_domain()
if ! _ob_try_load_messages "${LC_MESSAGES%.*}"; then
printf '%s: Error: Failed to load locale messages\n' \
"${0##*/}" >&2
+ kill 0
+ exit 1 # Should never be reached, but just in case
fi
}
__init _ob_load_internal_text_domain